Subject: Re: bug#21272: partprobe does not wait for refresh of partition info

From: "Brian C. Lane" <[email-masked]>
Date: Wed, 23 Sep 2015 16:40:47 -0700

On Fri, Sep 18, 2015 at 03:59:09PM -0400, Phil Susi wrote:
> On 8/17/2015 11:58 AM, Brian C. Lane wrote:
> > udev is responsible for making sure the device nodes are correct. You
> > can't depend on them being present without checking for them first. A
> > udevadm settle after partprobe may also help.
> 
> IIRC, libparted contacts udev to wait for the dev node to be created so
> this shouldn't happen.  At least if it was configured with udev.
> 

That's only done for device-mapper devices. udev (especially
systemd-udev) can trigger async. actions so you have to watch out for
how parted is being called. See my patch for opening things read-only
initially for more details.

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)